Get index information
- GET /{index}
Get information about one or more indices. For data streams, the API returns information about the stream’s backing indices.
- Index privileges:
view_index_metadata,manage
Path Parameters
-
indexIndexName | IndexNamerequired -
Comma-separated list of data streams, indices, and index aliases used to limit the request. Wildcard expressions (*) are supported.
Query Parameters
-
allow_no_indicesboolean · default: true A setting that does two separate checks on the index expression. If
false, the request returns an error (1) if any wildcard expression (including_alland*) resolves to zero matching indices or (2) if the complete set of resolved indices, aliases or data streams is empty after all expressions are evaluated. Iftrue, index expressions that resolve to no indices are allowed and the request returns an empty result.-
expand_wildcardsstring ExpandWildcards · default: open Type of index that wildcard expressions can match. If the request can target data streams, this argument determines whether wildcard expressions match hidden data streams. Supports comma-separated values, such as open,hidden.
Supported values include:
all: Match any data stream or index, including hidden ones.open: Match open, non-hidden indices. Also matches any non-hidden data stream.closed: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed.hidden: Match hidden data streams and hidden indices. Must be combined withopen,closed, orboth.none: Wildcard expressions are not accepted.
-
Values:
allopenclosedhiddennone -
flat_settingsboolean · default: false If true, returns settings in flat format.
If
false, the request returns an error if it targets a concrete (non-wildcarded) index, alias, or data stream that is missing, closed, or otherwise unavailable. Iftrue, unavailable concrete targets are silently ignored.-
include_defaultsboolean · default: false If true, return all default settings in the response.
-
localboolean · default: false If true, the request retrieves information from the local node only. Defaults to false, which means information is retrieved from the master node.
-
master_timeoutstring Duration · default: 30s Period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.
-
featuresFeatures · default: ['aliases', 'mappings', 'settings'] Return only information on specified index features
Supported values include:
aliases,mappings,settings-
Values:
aliasesmappingssettings
Response
Response Type: map string to IndexState